WiFi hostapd AP une application pour créer des points d'accès Wifi sous Linux

wifi-hostapd

Point d'accès WiFi Hostapd est une petite application écrite en C ++ QT, c'est une application graphique créée pour créer des points d'accès temporaires standard 802.11b / g (WiFi) sur les ordinateurs de bureau et les ordinateurs portables.

Point d'accès WiFi Hostapd c'est totalement gratuit et open source Publié sous la licence publique générale GNU version 2.0 (GPLv2), ce logiciel est conçu pour faciliter la configuration du logiciel et la connexion Wi-Fi dans les différents environnements des systèmes d'exploitation GNU / Linux.

Avec AP Hostapd Wi-Fi vous pouvez rapidement configurer un point d'accèscomme un ordinateur portable avec une carte WiFi.

Cette application nous donne la possibilité de fournir un accès Internet à d'autres appareils s'il n'y a pas de routeur ou pour ceux qui ne peuvent pas créer de point d'accès à l'aide de NetworkManager ou Wicd.

Pour créer un point d'accès avec Wi-Fi Hostapd AP utilise les possibilités des services publics Hostapd, qui est un démon système qui prend en charge les mécanismes d'authentification AEE 802.11 vers AP, IEEE 802.1X / WPA / WPA2 / EAP / RADIUS pour les points d'accès sans fil.

Et Dnsmasq qui est un outil qui combine une simple mise en cache DNS et DHCP / BOOTP dans un serveur prenant en charge DNS pour le réseau privé.

AP hôte WiFi Prend en charge les protocoles de cryptage WPA, WPA2, WPA3 et WEP, cela prend en charge la création de réseaux cachés et l'affichage des statistiques (comptage du trafic, vitesse et affichage d'une liste de clients connectés)

Parmi ses principales caractéristiques de cette application, nous pouvons souligner:

  • Créez un point d'accès Wi-Fi en quelques clics
  • Prise en charge du cryptage WPA + WPA2 (WPA3) et WEP
  • Prise en charge des réseaux cachés
  • Préréglage par défaut
  • Masque des fichiers de configuration
  • Comptage du trafic, vitesse, afficher une liste de clients.

Comment installer WiFi hostapd AP sur Linux?

wifi-hostapd-ap-009

Pour installer cet outil sur votre système, vous devez suivre les instructions suivantes.

Si sont des utilisateurs Debian, Ubuntu, Linux Mint ou toute autre distribution dérivée de ceux-ci, nous pouvons télécharger les packages suivants pour les installer sur le système.

Nous devons ouvrir un terminal avec Ctrl + Alt + t et y exécuter la commande suivante en fonction de l'architecture de votre système.

Pour ceux qui ont des systèmes 64 bits, ils doivent taper ce qui suit:

wget https://launchpad.net/~ekozincew/+archive/ubuntu/ppa/+files/wifi-hostapd-ap_1.1.1-0~1~ubuntu15.04.1_amd64.deb

Alors que pour ceux qui utilisent des systèmes 32 bits, ils peuvent télécharger le package avec:

wget https://launchpad.net/~ekozincew/+archive/ubuntu/ppa/+files/wifi-hostapd-ap_1.1.1-0~1~ubuntu15.04.1_i386.deb

Une fois le package téléchargé, nous procédons à l'installation de l'application avec la commande suivante:

sudo dpkg -i wifi-hostapd-ap*.deb

Au cas où nous aurions des problèmes avec les dépendances, nous pouvons le résoudre en exécutant dans le terminal:

sudo apt-get install -f

Au cas où nous aurions encore des problèmes avec les dépendances, nous pouvons installer ce qui suit avec cette commande:

sudo apt-get install wireless-tools puente-utils hostapd dnsmasq libqtgui4

pour les le cas de ceux qui ont des systèmes prenant en charge les packages RPM comme Fedora, CentOS, RHEL, openSUSE ou toute distribution dérivée de ceux-ci, nous pouvons télécharger le package rpm.

Pour cette Nous devons ouvrir un terminal dans notre système et y exécuter la commande suivante:

wget https://build.opensuse.org/package/binary/download/home:DarkSS/wifi-hostapd-ap/openSUSE_Leap_15.0/x86_64/wifi-hostapd-ap-1.1.1-lp150.7.1.x86_64.rpm

Y nous pouvons installer ce package téléchargé avec la commande:

sudo rpm -ivh wifi-hostapd-ap-1.1.1-lp150.7.1.x86_64.rpm

Enfin, pour le cas particulier d'openSUSE, nous pouvons ajouter le référentiel suivant au système pour installer cette application à partir de celui-ci.

Pour ceux qui sont Utilisateurs d'openSUSE Tumbleweed exécutez ce qui suit en tant que root:

zypper addrepo https://download.opensuse.org/repositories/home:DarkSS/openSUSE_Tumbleweed/home:DarkSS.repo

zypper refresh

zypper install wifi-hostapd-ap

En cas d'être utilisateurs d'openSUSE Leap 42.3 exécutez ce qui suit en tant que root:

zypper addrepo https://download.opensuse.org/repositories/home:DarkSS/openSUSE_Leap_42.3/home:DarkSS.repo

zypper refresh

zypper install wifi-hostapd-ap

Enfin pour le utilisateurs d'openSUSE Leap 15.0 exécutez ce qui suit en tant que root:

zypper addrepo https://download.opensuse.org/repositories/home:DarkSS/openSUSE_Leap_15.0/home:DarkSS.repo

zypper refresh

zypper install wifi-hostapd-ap

Télécharger le code source

Pour le reste des distributions, nous avons la possibilité de télécharger le code source de l'application et de le compiler dans notre système.

Il suffit de le télécharger à l'aide du terminal en exécutant la commande suivante:

wget https://storage.googleapis.com/google-code-archive-downloads/v2/code.google.com/wifi-hostapd-ap/WiFi_Hostapd_AP_1.1.tar.gz

Et c'est tout, nous pouvons commencer à utiliser cette application dans notre système.


Le contenu de l'article adhère à nos principes de éthique éditoriale. Pour signaler une erreur, cliquez sur c'est par ici !.

5 commentaires, laissez le vôtre

Laisser un commentaire

Votre adresse e-mail ne sera pas publiée.

*

*

  1. Responsable des données : AB Internet Networks 2008 SL
  2. Finalité des données: Contrôle du SPAM, gestion des commentaires.
  3. Légitimation: votre consentement
  4. Communication des données: Les données ne seront pas communiquées à des tiers sauf obligation légale.
  5. Stockage des données: base de données hébergée par Occentus Networks (EU)
  6. Droits: à tout moment, vous pouvez limiter, récupérer et supprimer vos informations.

  1.   Shupacabra dit

    Cela devrait être inclus par défaut dans toutes les distributions

  2.   lépronette dit

    Bonjour, dans Ubuntu ou Kubuntu, il peut être facilement configuré à partir des paramètres réseau (créer une nouvelle connexion Wi-Fi partagée) Salutations.

  3.   Eduardo dit

    Bonjour, avec ubuntu mate 20.04, je ne pouvais partager le wifi avec aucune des instructions disponibles, j'ai réussi à faire détecter le réseau par d'autres appareils mais après des dizaines de tests, il est toujours dit "vérifiez le mot de passe et réessayez", maintenant j'essaye d'installer ceci et j'arrive toujours à
    Des erreurs ont été rencontrées lors du traitement:
    wifi-hostapd-ap »
    Je suis un peu frustré, l'équipement pour toute autre utilisation normale est correct
    Toute suggestion?

  4.   Eduardo dit

    J'ai suivi toutes les étapes et je n'ai pas pu l'installer, dans ubuntu mate 20.04, merci quand même, je ne trouve pas d'alternative et je ne peux pas le résoudre

  5.   Eduardo dit

    Encore une fois, avant d'avoir essayé avec ubuntu, maintenant avec mint, je ne peux tout simplement pas l'installer, je suis les étapes telles quelles, mais cela ne s'installe pas:

    Ordinateur portable HP-250-G6: ~ $ wget https://launchpad.net/~ekozincew/+archive/ubuntu/ppa/+files/wifi-hostapd-ap_1.1.1-0~1~ubuntu15.04.1_amd64.deb
    –2020-07-31 20:12:32– https://launchpad.net/~ekozincew/+archive/ubuntu/ppa/+files/wifi-hostapd-ap_1.1.1-0~1~ubuntu15.04.1_amd64.deb
    Résolution de launchpad.net (launchpad.net)… 91.189.89.222, 91.189.89.223, 2001: 67c: 1560: 8003 :: 8003,…
    Connexion à launchpad.net (launchpad.net) | 91.189.89.222 |: 443… connecté.
    Requête HTTP envoyée, en attente de réponse… 303 Voir Autre
    Emplacement: https://launchpadlibrarian.net/191115296/wifi-hostapd-ap_1.1.1-0~1~ubuntu15.04.1_amd64.deb [Suivant]
    –2020-07-31 20:12:37– https://launchpadlibrarian.net/191115296/wifi-hostapd-ap_1.1.1-0~1~ubuntu15.04.1_amd64.deb
    Résolution de launchpadlibrarian.net (launchpadlibrarian.net)… 91.189.89.229, 91.189.89.228, 2001: 67c: 1560: 8003 :: 8008,…
    Connexion à launchpadlibrarian.net (launchpadlibrarian.net) | 91.189.89.229 |: 443… connecté.
    Requête HTTP envoyée, en attente de réponse… 200 OK
    Longueur: 582670 (569 Ko) [application / x-debian-package]
    Saving to: ‘wifi-hostapd-ap_1.1.1-0~1~ubuntu15.04.1_amd64.deb’

    wifi-hostapd-ap_1.1 100% [===================>] 569,01 K 5,42 Ko / s en 1 min 49 s

    2020-07-31 20:14:33 (5,21 Ko / s) - 'wifi-hostapd-ap_1.1.1-0 ~ 1 ~ ubuntu15.04.1_amd64.deb' enregistré [582670/582670]

    Ordinateur portable HP-250-G6: ~ $ sudo dpkg -i wifi-hostapd-ap * .deb
    [sudo] mot de passe pour:
    Sélection du package wifi-hostapd-ap précédemment désélectionné.
    (Lecture de la base de données… 391697 fichiers ou répertoires actuellement installés.)
    Préparation à la décompression de wifi-hostapd-ap_1.1.1-0 ~ 1 ~ ubuntu15.04.1_amd64.deb…
    Déballage de wifi-hostapd-ap (1.1.1-0 ~ 1 ~ ubuntu15.04.1)…
    dpkg: les problèmes de dépendance empêchent la configuration de wifi-hostapd-ap:
    wifi-hostapd-ap dépend de bridge-utils; cependant:
    Le paquet `bridge-utils 'n'est pas installé.
    wifi-hostapd-ap dépend de hostapd; cependant:
    Le paquet `hostapd 'n'est pas installé.
    wifi-hostapd-ap dépend de dnsmasq; cependant:
    Le paquet `dnsmasq 'n'est pas installé.
    wifi-hostapd-ap dépend de libqtgui4 (> = 4.7); cependant:
    Le paquet `libqtgui4 ′ n'est pas installé.

    dpkg: erreur de traitement du package wifi-hostapd-ap (–install):
    problèmes de dépendance - non configurés
    Traitement des déclencheurs pour hicolor-icon-theme (0.17-2) ...
    Traitement des déclencheurs pour desktop-file-utils (0.24 + linuxmint1) ...
    Traitement des déclencheurs pour le support mime (3.64ubuntu1) ...
    Des erreurs ont été rencontrées lors du traitement:
    wifi-hostapd-ap

    Ordinateur portable HP-250-G6: ~ $ sudo apt-get install -f
    Lecture de la liste des paquets ... Terminé
    Créer une arborescence de dépendances
    Lecture des informations d'état ... Terminé
    Correction des dépendances ... Terminé
    Les packages suivants seront SUPPRIMÉS:
    wifi-hostapd-ap
    0 mis à jour, 0 nouveau sera installé, 1 à supprimer et 9 non mis à jour.
    1 pas entièrement installé ou retiré.
    998 ko seront libérés après cette opération.
    souhaitez-vous continuer? [O / n] oui
    (Lecture de la base de données… 391710 fichiers ou répertoires actuellement installés.)
    Désinstallation de wifi-hostapd-ap (1.1.1-0 ~ 1 ~ ubuntu15.04.1)…
    Traitement des déclencheurs pour le support mime (3.64ubuntu1) ...
    Traitement des déclencheurs pour hicolor-icon-theme (0.17-2) ...
    Traitement des déclencheurs pour desktop-file-utils (0.24 + linuxmint1) ...

    Ordinateur portable HP-250-G6: ~ $ sudo apt-get install outils sans fil bridge-utils hostapd dnsmasq libqtgui4
    Lecture de la liste des paquets ... Terminé
    Créer une arborescence de dépendances
    Lecture des informations d'état ... Terminé
    Le paquet libqtgui4 n'est pas disponible, mais quelques autres références de paquet
    à lui. Cela peut signifier que le package est manquant, obsolète ou seulement
    disponible auprès d'une autre source

    E: Le paquet bridge-utils n'a pas pu être localisé
    E: Le package "libqtgui4" n'a pas de candidat pour l'installation

    Toute suggestion?
    Saludos y gracias